## GetSSOLoginURL **post** `/gitpod.v1.AccountService/GetSSOLoginURL` Gets the SSO login URL for a specific email domain. Use this method to: - Initiate SSO authentication - Get organization-specific login URLs - Handle SSO redirects ### Examples - Get login URL: Retrieves SSO URL for email domain. ```yaml email: "user@company.com" ``` - Get URL with return path: Gets SSO URL with specific return location. ```yaml email: "user@company.com" returnTo: "https://gitpod.io/workspaces" ``` ### Body Parameters - `email: string` email is the email the user wants to login with - `returnTo: optional string` return_to is the URL the user will be redirected to after login ### Returns - `loginUrl: string` login_url is the URL to redirect the user to for SSO login ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.AccountService/GetSSOLoginURL \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "email": "user@company.com" }' ``` #### Response ```json { "loginUrl": "loginUrl" } ```